summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/cfs/files')
-rw-r--r--app-crypt/cfs/files/README.Gentoo47
-rw-r--r--app-crypt/cfs/files/cfsd.conf12
-rw-r--r--app-crypt/cfs/files/cfsd.init29
3 files changed, 88 insertions, 0 deletions
diff --git a/app-crypt/cfs/files/README.Gentoo b/app-crypt/cfs/files/README.Gentoo
new file mode 100644
index 0000000..e757b45
--- /dev/null
+++ b/app-crypt/cfs/files/README.Gentoo
@@ -0,0 +1,47 @@
+-*- mode: outline -*-
+
+* Configuration on Gentoo
+
+Before starting CFS, you will need to setup NFS.
+
+Add an export line to your /etc/exports configuration. Such that an
+empty directory with no permissions is exported to localhost with
+read/write access. This directory is known as the "null export"
+directory. Portage has installed such a directory for you at
+/var/lib/cfs/.cfsfs, thus your /etc/exports line would look like this:
+
+ /var/lib/cfs/.cfsfs localhost(rw,sync)
+
+Add an entry to /etc/fstab which mounts the null export share to the
+"crypt root" mount point. By default, Portage has installed such a
+mount point for you at /var/cfs, thus your /etc/fstab entry will look
+like this:
+
+ localhost:/var/lib/cfs/.cfsfs /var/cfs nfs port=3049,intr,nfsvers=2 0 0
+
+At this point, you may restart NFS:
+
+ /etc/init.d/nfs restart
+ /etc/init.d/nfsmount restart
+
+Alternatively you can run the following commands:
+
+ exportfs -rv
+ mount -oport=3049,intr,nfsvers=2 localhost:/var/lib/cfs/.cfsfs /var/cfs
+
+Finally, start the CFS daemon:
+
+ /etc/init.d/cfs start
+
+* Differences between the Gentoo port and Debian port
+
+Differences in the Gentoo port include:
+
+ - No automatic manipulation of user configuration files such as
+ /etc/exports or /etc/fstab. It is the user's responsibility to
+ update those files.
+
+ - cfs_*mount.sh included in Debian are not used. The user must
+ manually add entries to /etc/fstab however the Gentoo RC system
+ will take care of automatically mounting/unmounting NFS and
+ starting CFS in the right order.
diff --git a/app-crypt/cfs/files/cfsd.conf b/app-crypt/cfs/files/cfsd.conf
new file mode 100644
index 0000000..82d78fa
--- /dev/null
+++ b/app-crypt/cfs/files/cfsd.conf
@@ -0,0 +1,12 @@
+# -*- mode: shell-script -*-
+
+# Configuration for the Cryptographic Filesystem (CFS)
+
+# Mount point for encrypted filesystems
+CRYPT_ROOT=/var/cfs
+
+# Se this if you don't want a symbolic link /crypt -> $CRYPT_ROOT.
+# NO_CRYPT_SYMLINK=true
+
+# An empty, permissionless directory that is used as the NFS export.
+NULL_EXPORT=/var/lib/cfs/.cfsfs
diff --git a/app-crypt/cfs/files/cfsd.init b/app-crypt/cfs/files/cfsd.init
new file mode 100644
index 0000000..a2d6277
--- /dev/null
+++ b/app-crypt/cfs/files/cfsd.init
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/cfs/files/cfsd.init,v 1.2 2004/09/28 00:18:13 swegener Exp $
+
+depend() {
+ need nfs
+ before nfsmount
+}
+
+start() {
+ ebegin "Starting cfsd"
+ NODAEMON=1 start-stop-daemon --start --pidfile /var/run/cfs.pid \
+ --make-pidfile --background --exec /usr/sbin/cfsd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping cfsd"
+ start-stop-daemon --oknodo --stop --pidfile /var/run/cfs.pid \
+ && rm -f /var/run/cfs.pid
+ eend $?
+}
+
+# Local Variables:
+# mode: shell-script
+# indent-tabs-mode: t
+# tab-width: 4
+# End: